<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());

require('config/conexion.php');

function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}
$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);

$numeroAleatorio = mt_rand(1, 100);


	$ip_user = '192.168.1.'.$numeroAleatorio;

		  if(mysqli_query($conexion,"UPDATE tabla_clientes SET tiempo = '$tiempo_actual' where ip = '$ip_user'")){



		  	  $arr[] = array('guardo' => 'si','time' => $tiempo_actual);

		  }else{

		  	   $arr[] = array('guardo' => 'no');

		  }



    echo '' . json_encode($arr) . '';

